<div class="form-container">
  <form novalidate [formGroup]="signForm" (ngSubmit)="onSubmit()">
    <div class="form-group">
      <label for="exampleInputEmail1">Correo electrónico</label>
      <input formControlName="email" type="email" class="form-control" aria-describedby="emailHelp" placeholder="Enter email">
    <div class="aviso" *ngIf="emailField?.errors && emailField?.dirty">
      <p *ngIf="emailField?.hasError('required')" >Email requerido</p>
      <p *ngIf="emailField?.hasError('email')">Debes introducir un correo electrónico válido</p>
    </div>
      <label >Contraseña</label> <!-- for="exampleInputPassword1" -->
      <input formControlName="password" type="password" class="form-control" placeholder="Password">
      <div class="aviso" *ngIf="passwordField?.errors && passwordField?.dirty">
        <p *ngIf="passwordField?.hasError('minlength')">La contraseña debe tener mas de 8 caracteres</p>
        <p *ngIf="passwordField?.hasError('required')">Contraseña requerida</p>
      </div>
        <!-- <small class="form-text text-muted">No compartas nunca tu contraseña.</small> -->
    <!-- <div class="form-group form-check"> -->
      <!-- <input type="checkbox" class="form-check-input" id="exampleCheck1"> -->
      <!-- <label class="form-check-label" for="exampleCheck1">Check me out</label> -->
    <!-- </div> -->
    <button type="submit" class="btn btn-primary">Submit</button>
  </div>
  </form>
</div>



<h5>Formulario de contacto. Primero tienes que acceder a tu cuenta, si no tienes una puedes creartela.</h5>
